REM @echo off
setlocal

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.Siebel.SiebelConnectorAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

REM setting the JVMArgs variable as installer needs it when installing the adapter as a service
set JVMArgs=

REM Branch between WBIA_RUNTIME and CROSSWORLDS
REM IF WBIA_RUNTIME is set use start_adapter launcher to run adapter
	If "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

call "%WBIA_RUNTIME%"\bin\CWConnEnv

REM set the directory where the specific connector resides
set CONNDIR="%WBIA_RUNTIME%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%


REM Set it to the directory where the SIEBEL APP JAR FILES are stored
REM By default it would be set to "%CROSSWORLDS%"\connectors\Siebel\dependencies

set SIEBELAPPJARPATH="%WBIA_RUNTIME%"\connectors\Siebel\dependencies

set SIEBELAPP6x_JAR1="%SIEBELAPPJARPATH%"\SiebelDataBean.jar
set SIEBELAPP6x_JAR2="%SIEBELAPPJARPATH%"\SiebelTC_enu.jar
set SIEBELAPP6x_JAR3="%SIEBELAPPJARPATH%"\SiebelTcCommon.jar
set SIEBELAPP6x_JAR4="%SIEBELAPPJARPATH%"\SiebelTcOM.jar
set SIEBELAPP7x_JAR5="%SIEBELAPPJARPATH%"\SiebelJI_enu.jar

REM If the siebel application version is 7.7.x or 7.8.x, comment out the line below by adding REM at the beginning
set SIEBELAPP7x_JAR6="%SIEBELAPPJARPATH%"\SiebelJI_Common.jar

REM If the siebel application version is 7.7.x or 7.8.x, uncomment the line below by removing REM at the beginning
REM set SIEBELAPP7x_JAR7="%SIEBELAPPJARPATH%"\Siebel.jar

REM Add any locale specific jar files. Add the same to JCLASSES for both 6.x and 7.x versions.
set SIEBELAPP6x_JPN="%SIEBELAPPJARPATH%"\SiebelTC_jpn.jar
set SIEBELAPP7x_JPN="%SIEBELAPPJARPATH%"\SiebelJI_jpn.jar

set AGENT=%CONNDIR%\CW%CONNAME%.jar

REM while using SIEBEL 7.X set SIEBELVERSION to 7.X
set SIEBELVERSION="7.X"

if %SIEBELVERSION%=="7.X" set JCLASSES=.;%JCLASSES%;%SIEBELAPP7x_JAR5%;%SIEBELAPP7x_JAR6%;%SIEBELAPP7x_JAR7%;%SIEBELAPP7x_JPN%;%AGENT%

REM while using SIEBEL 6.X set SIEBELVERSION to 6.X
REM Remove the 'REM' in the next line, if SIEBEL version is 6.x
REM set SIEBELVERSION="6.X"
if %SIEBELVERSION%=="6.X" set JCLASSES=.;%JCLASSES%;%SIEBELAPP6x_JAR1%;%SIEBELAPP6x_JAR2%;%SIEBELAPP6x_JAR3%;%SIEBELAPP6x_JAR4%;%SIEBELAPP6x_JPN%;%AGENT%
 
REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End

call "%WBIA_RUNTIME%\bin\start_adapter" -n%CONNAME% -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5

goto END


:CROSSWORLDS

REM @echo off
call "%CROSSWORLDS%"\bin\CWConnEnv

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM Set it to the directory where the SIEBEL APP JAR FILES are stored
REM By default it would be set to "%CROSSWORLDS%"\connectors\Siebel\dependencies

set SIEBELAPPJARPATH="%CROSSWORLDS%"\connectors\Siebel\dependencies

set SIEBELAPP6x_JAR1="%SIEBELAPPJARPATH%"\SiebelDataBean.jar
set SIEBELAPP6x_JAR2="%SIEBELAPPJARPATH%"\SiebelTC_enu.jar
set SIEBELAPP6x_JAR3="%SIEBELAPPJARPATH%"\SiebelTcCommon.jar
set SIEBELAPP6x_JAR4="%SIEBELAPPJARPATH%"\SiebelTcOM.jar
set SIEBELAPP7x_JAR5="%SIEBELAPPJARPATH%"\SiebelJI_enu.jar

REM If the siebel application version is 7.7.x or 7.8.x, comment out the line below by adding REM at the beginning
set SIEBELAPP7x_JAR6="%SIEBELAPPJARPATH%"\SiebelJI_Common.jar

REM If the siebel application version is 7.7.x or 7.8.x, uncomment the line below by removing REM at the beginning
REM set SIEBELAPP7x_JAR7="%SIEBELAPPJARPATH%"\Siebel.jar

REM Add any locale specific jar files. Add the same to JCLASSES for both 6.x and 7.x versions.
set SIEBELAPP6x_JPN="%SIEBELAPPJARPATH%"\SiebelTC_jpn.jar
set SIEBELAPP7x_JPN="%SIEBELAPPJARPATH%"\SiebelJI_jpn.jar

set AGENT=%CONNDIR%\CW%CONNAME%.jar

REM while using SIEBEL 7.X set SIEBELVERSION to 7.X
set SIEBELVERSION="7.X"

if %SIEBELVERSION%=="7.X" set JCLASSES=.;%JCLASSES%;%SIEBELAPP7x_JAR5%;%SIEBELAPP7x_JAR6%;%SIEBELAPP7x_JAR7%;%SIEBELAPP7x_JPN%;%AGENT%

REM while using SIEBEL 6.X set SIEBELVERSION to 6.X
REM Remove the 'REM' in the next line, if SIEBEL version is 6.x
REM set SIEBELVERSION="6.X"
if %SIEBELVERSION%=="6.X" set JCLASSES=.;%JCLASSES%;%SIEBELAPP6x_JAR1%;%SIEBELAPP6x_JAR2%;%SIEBELAPP6x_JAR3%;%SIEBELAPP6x_JAR4%;%SIEBELAPP6x_JPN%;%AGENT%
 
REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End


%CWJAVA% -ms64m -mx128m %ORB_PROPERTY% -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;%CONNDIR%;"%MQ_LIB%";%JRE_EXT_DIRS% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES%;%CONNDIR%\CW%CONNAME%.jar; AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER%  %3 %4 %5

:END

endlocal

