REM @echo off
call "%CROSSWORLDS%"\bin\CWODAEnv.bat

setlocal
REM IF WBIA_RUNTIME is set use ODK Runtime scripts

if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM Invoke the CWODAENV.bat
call "%WBIA_RUNTIME%"\bin\CWODAEnv

goto LAUNCH


:CROSSWORLDS
REM Invoke the CWODAENV.bat
call "%CROSSWORLDS%"\bin\CWODAEnv


:LAUNCH

REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%";"%CROSSWORLDS%"\bin;%PATH%

set AGENTNAME=SiebelODA

set AGENT="%CROSSWORLDS%"\ODA\Siebel\SiebelODA.jar

set AGENTCLASS=com.crossworlds.oda.siebeloda.SiebelOda

REM Set it to the directory where the SIEBEL APP JAR FILES are stored
REM By default it would be set to "%CROSSWORLDS%"\connectors\Siebel\dependencies

set SIEBELAPPJARPATH="%CROSSWORLDS%"\connectors\Siebel\dependencies

set SIEBELAPP6x_JAR1="%SIEBELAPPJARPATH%"\SiebelDataBean.jar
set SIEBELAPP6x_JAR2="%SIEBELAPPJARPATH%"\SiebelTC_enu.jar
set SIEBELAPP6x_JAR3="%SIEBELAPPJARPATH%"\SiebelTcCommon.jar
set SIEBELAPP6x_JAR4="%SIEBELAPPJARPATH%"\SiebelTcOM.jar
set SIEBELAPP7x_JAR5="%SIEBELAPPJARPATH%"\SiebelJI_enu.jar

REM If the siebel application version is 7.7.x or 7.8.x, comment out the line below by adding REM at the beginning
set SIEBELAPP7x_JAR6="%SIEBELAPPJARPATH%"\SiebelJI_Common.jar

REM If the siebel application version is 7.7.x or 7.8.x, uncomment the line below by removing REM at the beginning
REM set SIEBELAPP7x_JAR7="%SIEBELAPPJARPATH%"\Siebel.jar

REM Add any locale specific jar files. Add the same to JCLASSES for both 6.x and 7.x versions.
set SIEBELAPP6x_JPN="%SIEBELAPPJARPATH%"\SiebelTC_JPN.jar
set SIEBELAPP7x_JPN="%SIEBELAPPJARPATH%"\SiebelJI_JPN.jar


REM while using SIEBEL 7.X set SIEBELVERSION to 7.X
set SIEBELVERSION="7.X"
set JCLASSES=%JCLASSES%;%AGENT%;%SIEBELAPP7x_JAR5%;%SIEBELAPP7x_JAR6%;%SIEBELAPP7x_JAR7%;%SIEBELAPP7x_JPN%;

REM while using SIEBEL 6.X set SIEBELVERSION to 6.X
REM Remove the 'REM' in the next line, if SIEBEL version is 6.x
REM set SIEBELVERSION="6.X"

if %SIEBELVERSION%=="6.X" set JCLASSES=%JCLASSES%;%AGENT%;%SIEBELAPP6x_JAR1%;%SIEBELAPP6x_JAR2%;%SIEBELAPP6x_JAR3%;%SIEBELAPP6x_JAR4%;%SIEBELAPP6x_JPN%;

REM Start the Object Discovery Agent

%CWJAVA% -Duser.home="%CROSSWORLDS%" -Djava.ext.dirs=%JRE_EXT_DIRS% -mx128m %ORB_DEP% -classpath %JCLASSES%  com.crossworlds.ODKInfrastructure.%CONNECTION% -l%AGENTNAME% -c%AGENTCLASS% 

endlocal
pause


